/*
 * Mocha
 * Copyright (c) 2000-2003 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */
 
/*:Associate with "Boot Manager" */

#ifndef _BOOT_MGR_H_
#define _BOOT_MGR_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "Shp.h"
#include "OemBootMgr.h"
#include "MemMgr.h"
#include "EventMgr.h"
#include "BootEventHandler.h"


typedef enum
{
	BM_POWER_SAVE_NORMAL,
	BM_POWER_SAVE_LOW_BATTERY,
	BM_POWER_SAVE_CALL_ALERT,
	BM_POWER_SAVE_CALL_CONNECT,
	BM_POWER_SAVE_CALL_PROGRESS,
	BM_POWER_SAVE_CALL_TRY	
} BmPowerSaveState;

/*
 * ECOM Interface
 */
#include "BootECOM.h"


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _BOOT_MGR_H_
