/*
 * Samsung Handset Platform
 * Copyright (c) 2000 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

/*:Associate with "System Manager" */

#ifndef _OEM_SYS_ERROR_H_
#define _OEM_SYS_ERROR_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* Common */
#define WSERR_SYS_DEPENDENT     		(MID_WINSET + SET_ERROR(0x0001))
#define WSERR_OUT_OF_MEMORY  			(MID_WINSET + SET_ERROR(0x0002))
#define WSERR_INVALID_PARAMETER			(MID_WINSET + SET_ERROR(0x0003))
#define WSERR_INVALID_STYLE			(MID_WINSET + SET_ERROR(0x0004))

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _OEM_SYS_ERROR_H_
