/*
* ==============================================================================
*  Name        : MemoryLogger.h
*  Part of     : MemMan
*  Interface   : 
*  Description : 
*  Version     : %Version%
* ==============================================================================
*/
#ifndef __MEMORY_LOGGER_H__
#define __MEMORY_LOGGER_H__

#ifdef __cplusplus
extern "C"
{
#endif

//INCLUDES
#ifdef CMM_LOGGING
//CONSTANTS

//MACROS

#define MEM_LOG		FileWriteLog
#define MEM_LOGF	FileWriteFormattedLog

//FUNCTION DECLARATIONS

void FileWriteLog(const char*);
void FileWriteFormattedLog(const char* fmt, ...);

#else //CMM_LOGGING
#define MEM_LOG		{}
#define MEM_LOGF	{}

#endif //CMM_LOGGING

#ifdef __cplusplus
} //extern "C"
#endif

#endif //__MEMORY_LOGGER_H__
