
#include "config.h"
#include "RenderDiv.h"
#include "HTMLNames.h"
#include "HTMLDivElement.h"
#if PLATFORM(SHP) 
#include "RenderView.h"
#endif
using namespace std;


#if PLATFORM(SHP) 
#if defined(USE_SHP_TEMPLATE_MIN_MAX)
//FIXME:: This is temporary change and will be removed later by adding global
//definition for min max macros.
#undef max
#undef min

#define max SHP_TEMPLATE_MAX
#define min SHP_TEMPLATE_MIN

template <class T>
inline const T& SHP_TEMPLATE_MAX(const T& a, const T& b)
{
	return (a > b ? a : b);
}

template <class T>
inline const T& SHP_TEMPLATE_MIN(const T& a, const T& b)
{
	return (a < b ? a : b);
}
#endif

namespace WebCore{

	using namespace HTMLNames;
	RenderDiv::RenderDiv(Node* node)
		:RenderBlock(node)
	{
	}

	RenderDiv::~RenderDiv(){

	}

	void RenderDiv::setStyle(RenderStyle* newStyle)
	{
		RenderBlock::setStyle(newStyle);
	}
	void RenderDiv::calcHeight()
	{
	    Length height = style()->height();
		if(height.value() > m_height)
		{
			m_height = height.value();
		}

	}

}
#endif