/*
 * Mocha
 * Copyright (c) 2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */
/**
 * This file implements a DLL stub. DllBaseInit called from DLLMgr in the Mocha.
 *
 * @author	Zafar Hussain 
 *  		Pushparajan Vijayakumar (rajan.vp@samsung.com)
 */
 
#if defined(_JASMINE_ECOM)

#include "Shp.h"
#include "DllClientStub.h"
#include "EmEventHandler.h"
//#include "IControl.h"



//BOOL WebControlDispatch(UINT32 , ULONG , ULONG , void* );
//extern BOOL WebkitDispatch(UINT32, ULONG, ULONG, void*);

EcomDispatch _DllBaseGetDispatchFunc(void)						
{
#if !defined(_SHP_SIMUL)
	return WebkitDispatch;									
#endif
}

#if 0
BOOL 
WebkitDispatch( UINT32 iDispatchType, ULONG intParam1, ULONG intParam2, void* pParam )
{
	//pDllBaseEcomFactory = (EcomFactory*) pParam;
	WebControlDispatch(DLL_CREATE, 0, 0, NULL);
	SysDebug((MID_EXCEPTION, "This function is currently empty. This might cause some complications later on\n"));
	return TRUE;
}
#endif 
EcomFactory* pDllBaseEcomFactory = NULL;
DID dllBaseDID = 0;

EcomDispatch DllBaseInit(EcomFactory* pobj, DID did)
{
	//EcomDispatch _DllBaseGetDispatchFunc(void);	
	pDllBaseEcomFactory = pobj;
	dllBaseDID = did;
#if !defined(_SHP_SIMUL)
	__rt_lib_init();
	// vprajan: Initialize all CPP global objects
//	__cpp_initialize__aeabi_();
#endif
	SysDebug((MID_EXCEPTION, "Webkit's DllBaseInit called. Value assigned to pDllBaseEcomFactory = %d",pobj));
	return _DllBaseGetDispatchFunc();
}
/*
void main()
{
	// This is dummy.
}
*/


// This is just for avoiding a link error because of DllBaseInit declaration in .def file
#if 0
EcomDispatch
DllBaseInit(EcomFactory* pobj, DID did)
{
	SysAssert(FALSE);
	return NULL;
}
#endif
#endif //JASMINE_ECOM
