/*
 * Samsung Handset Platform
 * Copyright (c) 2000 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

#ifndef _ANSIC_LIB_H_
#define _ANSIC_LIB_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#include <string.h>
#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <stdarg.h>
#include <locale.h>

#ifndef __cplusplus
#include <math.h>
#endif // __cplusplus

#include "ShpConfig.h"

typedef enum {
	AC_COLLATION_BASIC,
	AC_COLLATION_SWEDISH	
} AcCollationType;

BOOL	AcSetCollation(AcCollationType colType);


#define AcOffsetof(type, memb)		((size_t)&((type *)0)->memb)

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _ANSIC_LIB_H_
