/*
 * Mocha
 * Copyright (c) 2000-2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

/*:Associate with "GWES" */

#ifndef	_OEM_WM_EVENTS_H_
#define _OEM_WM_EVENTS_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define VK_HP_NONE				0x0000
#define VK_HP_INVALID			0x0001

#define VK_HP_SEND				0x04C7
#define	VK_HP_END				0x00D4

#define	VK_HP_SIDEUP			0x00D5
#define VK_HP_SIDEDOWN			0x00D6

#define VK_HP_OK				0x04D1
#define VK_HP_CLEAR				0x0008
#define VK_HP_CANCEL			0x0009

#define VK_HP_LEFTEASY				0x04CA
#define VK_HP_RIGHTEASY			0x04CB
#define VK_HP_MIDEASY				0x04CC
#define VK_HP_MIDLEFT_EASY		0x04CD
#define VK_HP_MIDRIGHT_EASY		0x04CE

#define VK_HP_BUTTON1			0x05CA
#define VK_HP_BUTTON2			0x05CB 	
#define VK_HP_BUTTON3			0x05CC	
#define VK_HP_BUTTON4			0x05CD	

#define VK_HP_SOFTBUTTON1	VK_HP_BUTTON1
#define VK_HP_SOFTBUTTON2	VK_HP_BUTTON2
#define VK_HP_SOFTBUTTON3	VK_HP_BUTTON3	
#define VK_HP_SOFTBUTTON4	VK_HP_BUTTON4	

#define VK_HP_REJECT			0x0450
#define VK_HP_SWITCH			0x0451
#define VK_HP_HOME				0x0458
#define VK_HP_MSG				0x045A
#define VK_HP_EARSWITCH			0x045B
#define VK_HP_VCALL				0x045D
#define VK_HP_CAMERA			0x045E
#define VK_HP_MP3				0x0460

#define VK_HP_HOLD				0x495

#define	VK_HP_0					0x0030
#define	VK_HP_1					0x0031
#define	VK_HP_2					0x0032
#define	VK_HP_3					0x0033
#define	VK_HP_4					0x0034
#define	VK_HP_5					0x0035
#define	VK_HP_6					0x0036
#define	VK_HP_7					0x0037
#define	VK_HP_8					0x0038
#define	VK_HP_9					0x0039

#define	VK_HP_ASTERISK			0x002A
#define	VK_HP_SHARP				0x0023


#define	VK_HP_LEFT				0x00C1
#define	VK_HP_UP				0x00C2
#define	VK_HP_DOWN				0x00C3
#define	VK_HP_RIGHT				0x00C4

#define	VK_HP_A					0x0041
#define	VK_HP_B					0x0042
#define	VK_HP_C					0x0043
#define	VK_HP_D					0x0044
#define	VK_HP_E					0x0045
#define	VK_HP_F					0x0046
#define	VK_HP_G					0x0047
#define	VK_HP_H					0x0048
#define	VK_HP_I					0x0049
#define	VK_HP_J					0x004A
#define	VK_HP_K					0x004B
#define	VK_HP_L					0x004C
#define	VK_HP_M				0x004D
#define	VK_HP_N					0x004E
#define	VK_HP_O					0x004F
#define	VK_HP_P					0x0050
#define	VK_HP_Q					0x0051
#define	VK_HP_R					0x0052
#define	VK_HP_S					0x0053
#define	VK_HP_T					0x0054
#define	VK_HP_U					0x0055
#define	VK_HP_V					0x0056
#define	VK_HP_W				0x0057
#define	VK_HP_X					0x0058
#define	VK_HP_Y					0x0059
#define	VK_HP_Z					0x005A
#define	VK_HP_SPACE			0x0020

#define	VK_HP_CAPSLOCK			0x00C7		//for Qwerty
#define	VK_HP_FN				0x00C8
#define	VK_HP_ALT				0x00C9
#define	VK_HP_ENTER				0x00CA
#define	VK_HP_BACKSPACE		0x00CC
#define	VK_HP_MAIL				0x00CD

#define	VK_HP_NUM_LOCK		0x04CF

#ifdef __cplusplus
}
#endif  /* __cplusplus */

#endif	// _OEM_WM_EVENTS_H_
