#ifndef __PLATFORM_H__
#define __PLATFORM_H__


#ifdef __SHP__
#include "webkitshppage.h"
#include "webkitshpglobal.h"
#else
#include "webkitgtkpage.h"
#include "webkitgtkglobal.h"
#endif

#ifdef __SHP__
	typedef void BrowserWidget;	
	typedef WebKitShpPage WebKitPage;
#else
	typedef GtkWidget BrowserWidget;
	typedef WebKitGtkPage WebKitPage;
#endif

#ifdef __SHP__
#define WEBKIT_INITIALIZE	webkit_shp_initialize
#define WEBKIT_FINALIZE	webkit_shp_finalize

#define WEBKIT_INIT	webkit_shp_init
#define WEBKIT_PAGE_NEW	webkit_shp_page_new
#define WEBKIT_PAGE_LAYOUTCHANGE webkit_shp_page_layoutChange
#define WEBKIT_PAGE_VIRTUAL_CURSOR_INIT webkit_shp_page_virtual_cursor_init
#define WEBKIT_PAGE_VIRTUAL_CURSOR_HIDE webkit_shp_page_virtual_cursor_hide
#define WEBKIT_PAGE_SWITCH_TAB webkit_shp_page_switch_tab
#define WEBKIT_PAGE_OPEN webkit_shp_page_open 
#define WEBKIT_PAGE_STOP_LOADING webkit_shp_page_stop_loading 
#define WEBKIT_PAGE_RELOAD webkit_shp_page_reload 
#define	WEBKIT_PAGE_LOAD_HTML_STRING webkit_shp_page_load_html_string
#define WEBKIT_PAGE_SAVE webkit_shp_page_save 
#ifdef _SFB_SEARCH_STRING_IN_PAGE //Jan-16 Vamsi/Pramod
#define WEBKIT_PAGE_FIND_STRING webkit_shp_page_find
#endif
#ifdef SFB_RSS_LINK //vamsi Jan 28 Rss Link Tag Support for SFB.
#define WEBKIT_PAGE_GET_RSS_LINKS webkit_shp_page_get_rss_links
#endif
#define WEBKIT_PAGE_GO_BACKWARD webkit_shp_page_go_backward
#define WEBKIT_PAGE_GO_FORWARD webkit_shp_page_go_forward
#define WEBKIT_PAGE_CAN_GO_BACKWARD webkit_shp_page_can_go_backward
#define WEBKIT_PAGE_CAN_GO_FORWARD webkit_shp_page_can_go_forward
#define WEBKIT_PAGE_PAINT	webkit_shp_page_paint
#define WEBKIT_PAGE_SET_HWIN	webkit_shp_page_set_hwnd
#define WEBKIT_PAGE_KEY_EVENT	webkit_shp_page_key_event
/**
 *   bs0425.lee  modified for touch events 
 */
#define WEBKIT_PAGE_MOUSE_EVENT	webkit_shp_page_mouse_event
#define WEBKIT_PAGE_SCROLL_BY	webkit_shp_page_ScrollBy
#define WEBKIT_PAGE_IS_FOCUSED_BYPOINT	webkit_shp_page_IsFocusedByPoint
#define WEBKIT_PAGE_IS_LINKED_ELEMENT	webkit_shp_page_IsLinkedElement
#define WEBKIT_PAGE_IS_IMAGE_ELEMENT		webkit_shp_page_IsImageElement
#define WEBKIT_PAGE_GET_ELEMENT_INFO_BYPOINT webkit_shp_page_GetElementInfoByPoint


/**
 *   bs0425.lee  modified for touch events 
 */




#define WEBKIT_PAGE_FINALIZE	webkit_shp_page_finalize
#define WEBKIT_PAGE_ZOOMIN		webkit_shp_page_ZoomIn
#define WEBKIT_PAGE_GET_ZOOMFACTOR	webkit_shp_page_get_ZoomFactor
#define WEBKIT_PAGE_GET_URL		webkit_shp_page_get_url
#define WEBKIT_PAGE_GET_TITLE		webkit_shp_page_get_title
#define WEBKIT_PAGE_GET_MIME_TYPE	webkit_shp_page_get_mime_type
#define WEBKIT_PAGE_GET_SIZE		webkit_shp_page_get_size
#define WEBKIT_PAGE_GET_PROPERTY	webkit_shp_page_GetProperty
#define WEBKIT_PAGE_SET_PROPERTY	webkit_shp_page_SetProperty
#define WEBKIT_PAGE_SET_HTTPPROXY webkit_shp_page_SetHttpProxy
#define WEBKIT_PAGE_SET_IAP webkit_shp_page_SetIAP
#define WEBKIT_PAGE_SET_CACHE_SIZE webkit_shp_page_SetCacheSize
	//tahseen
#ifdef SFB_VISUAL_SUPPORT
#define WEBKIT_PAGE_VISUAL_HISTORY webkit_shp_page_visual_history
#endif
#if defined SHP_SUPPORT_WML
#define WEBKIT_PAGE_SEND_NEW_FETCH_REQUEST webkit_page_send_new_fetch_request
#define WEBKIT_DOCUMENT_GET_COUNT  webkit_document_get_count
#define WEBKIT_DOCUMENT_WMLDOEVENT   webkit_document_wmldoEvent
#endif

#define WEBKIT_PAGE_GET_HTTPPROXY webkit_shp_page_GetHttpProxy
#define WEBKIT_PAGE_GET_IAP webkit_shp_page_GetIAP
#define WEBKIT_PAGE_GET_CACHE_SIZE webkit_shp_page_GetCacheSize

#define WEBKIT_PAGE_RELAYOUT webkit_shp_page_relayout

#define WEBKIT_PAGE_SET_MINIMUM_FONT_SIZE webkit_shp_page_SetMinimumFontSize
#define WEBKIT_PAGE_SET_MINIMUM_LOGICAL_FONT_SIZE webkit_shp_page_SetMinimumLogicalFontSize
#define WEBKIT_PAGE_SET_DEFAULT_FONT_SIZE webkit_shp_page_SetDefaultFontSize
#define WEBKIT_PAGE_SET_DEFAULT_FIXED_FONT_SIZE webkit_shp_page_SetDefaultFixedFontSize
	
#define WEBKIT_PAGE_SET_DEFAULT_TEXT_ENCODING_NAME webkit_shp_page_SetDefaultTextEncodingName
#define WEBKIT_PAGE_SET_FTP_DIRECTORY_TEMPLATE_PATH webkit_shp_page_SetFtpDirectoryTemplatePath
#define WEBKIT_PAGE_SET_USER_STYLE_SHEET_LOCATION webkit_shp_page_SetUserStyleSheetLocation
#define WEBKIT_PAGE_SET_STANDARD_FONT_FAMILY webkit_shp_page_SetStandardFontFamily
#define WEBKIT_PAGE_SET_FIXED_FONT_FAMILY webkit_shp_page_SetFixedFontFamily
#define WEBKIT_PAGE_SET_SERIF_FONT_FAMILY webkit_shp_page_SetSerifFontFamily
#define WEBKIT_PAGE_SET_SANS_SERIF_FONT_FAMILY webkit_shp_page_SetSansSerifFontFamily
#define WEBKIT_PAGE_SET_CURSIVE_FONT_FAMILY webkit_shp_page_SetCursiveFontFamily
#define WEBKIT_PAGE_SET_FANTASY_FONT_FAMILY webkit_shp_page_SetFantasyFontFamily
#define WEBKIT_PAGE_SET_EDITABLE_LINK_BEHAVIOR webkit_shp_page_SetEditableLinkBehavior

#define WEBKIT_PAGE_GET_MINIMUM_FONT_SIZE webkit_shp_page_GetMinimumFontSize
#define WEBKIT_PAGE_GET_MINIMUM_LOGICAL_FONT_SIZE webkit_shp_page_GetMinimumLogicalFontSize
#define WEBKIT_PAGE_GET_DEFAULT_FONT_SIZE webkit_shp_page_GetDefaultFontSize
#define WEBKIT_PAGE_GET_DEFAULT_FIXED_FONT_SIZE webkit_shp_page_GetDefaultFixedFontSize
#ifdef SFB_VISUAL_BOOKMARK
#define WEBKIT_PAGE_CAPTURE_BITMAP webkit_shp_page_capture_bitmap 
#endif
	
#define WEBKIT_PAGE_GET_DEFAULT_TEXT_ENCODING_NAME webkit_shp_page_GetDefaultTextEncodingName
#define WEBKIT_PAGE_GET_FTP_DIRECTORY_TEMPLATE_PATH webkit_shp_page_GetFtpDirectoryTemplatePath
#define WEBKIT_PAGE_GET_USER_STYLE_SHEET_LOCATION webkit_shp_page_GetUserStyleSheetLocation
#define WEBKIT_PAGE_GET_STANDARD_FONT_FAMILY webkit_shp_page_GetStandardFontFamily
#define WEBKIT_PAGE_GET_FIXED_FONT_FAMILY webkit_shp_page_GetFixedFontFamily
#define WEBKIT_PAGE_GET_SERIF_FONT_FAMILY webkit_shp_page_GetSerifFontFamily
#define WEBKIT_PAGE_GET_SANS_SERIF_FONT_FAMILY webkit_shp_page_GetSansSerifFontFamily
#define WEBKIT_PAGE_GET_CURSIVE_FONT_FAMILY webkit_shp_page_GetCursiveFontFamily
#define WEBKIT_PAGE_GET_FANTASY_FONT_FAMILY webkit_shp_page_GetFantasyFontFamily
#define WEBKIT_PAGE_GET_EDITABLE_LINK_BEHAVIOR webkit_shp_page_GetEditableLinkBehavior
#define WEBKIT_PAGE_GET_SELECTED_ELEMENT_TYPE webkit_shp_page_GetSelectedElementType

/**
 *   bs0425.lee  modified for touch events 
 */
#define WEBKIT_PAGE_GET_SELECTED_ELEMENT_TYPE_BY_POINT  webkit_shp_page_GetSelectedElementTypeByPoint
/**
 *   bs0425.lee  modified for touch events 
 */


#define WEBKIT_PAGE_GET_SELECTED_ELEMENT_INFO webkit_shp_page_GetSelectedElementInfo

#define WEBKIT_PAGE_GET_ITEM_COUNT	webkit_shp_page_GetItemCount
#define WEBKIT_ELEMENT_SAVE			webkit_shp_element_save
/**
 *   bs0425.lee  modified for touch events 
 */

#define WEBKIT_ELEMENT_SAVE_BY_POINT	webkit_shp_element_saveByPoint

/**
 *   bs0425.lee  modified for touch events 
 */
#define WEBKIT_GET_IMAGES			webkit_shp_get_images
#define WEBKIT_GET_IMAGE_COUNT			webkit_shp_get_image_count

#define WEBKIT_PAGE_GET_LAST_MODIFIED_TIME	webkit_shp_page_GetLastModifiedTime
#else

#define WEBKIT_INIT	webkit_gtk_init
#define WEBKIT_PAGE_NEW	webkit_gtk_page_new
#define WEBKIT_PAGE_LAYOUTCHANGE webkit_gtk_page_layoutChange
#define WEBKIT_PAGE_VIRTUAL_CURSOR_INIT webkit_gtk_page_virtual_cursor_init
#define WEBKIT_PAGE_VIRTUAL_CURSOR_HIDE webkit_gtk_page_virtual_cursor_hide
#define WEBKIT_PAGE_OPEN webkit_gtk_page_open 
#define WEBKIT_PAGE_STOP_LOADING webkit_gtk_page_stop_loading 
#define WEBKIT_PAGE_RELOAD webkit_gtk_page_reload 
#define	WEBKIT_PAGE_LOAD_HTML_STRING webkit_gtk_page_load_html_string
#define WEBKIT_PAGE_SAVE webkit_gtk_page_save 
#define WEBKIT_PAGE_CAN_GO_BACKWARD webkit_gtk_page_can_go_backward
#define WEBKIT_PAGE_CAN_GO_FORWARD webkit_gtk_page_can_go_forward
#define WEBKIT_PAGE_GO_BACKWARD webkit_gtk_page_go_backward
#define WEBKIT_PAGE_GO_FORWARD webkit_gtk_page_go_forward
#define WEBKIT_PAGE_PAINT	webkit_gtk_page_paint
#define WEBKIT_PAGE_SET_HWIN	webkit_page_set_hwin
#define WEBKIT_PAGE_ZOOMIN		webkit_gtk_page_ZoomIn
#define WEBKIT_PAGE_GET_ZOOMFACTOR	webkit_gtk_page_get_ZoomFactor
#define WEBKIT_PAGE_GET_URL		webkit_gtk_page_get_url
#define WEBKIT_PAGE_GET_TITLE		webkit_gtk_page_get_title
#define WEBKIT_PAGE_GET_MIME_TYPE	webkit_gtk_page_get_mime_type
#define WEBKIT_PAGE_GET_SIZE		webkit_gtk_page_get_size
#define WEBKIT_PAGE_GET_PROPERTY	webkit_gtk_page_GetProperty
#define WEBKIT_PAGE_SET_PROPERTY	webkit_gtk_page_SetProperty
#define WEBKIT_PAGE_SET_HTTPPROXY webkit_gtk_page_SetHttpProxy
#define WEBKIT_PAGE_SET_IAP webkit_gtk_page_SetIAP
#define WEBKIT_PAGE_SET_CACHE_SIZE webkit_gtk_page_SetCacheSize


#define WEBKIT_PAGE_GET_HTTPPROXY webkit_gtk_page_GetHttpProxy
#define WEBKIT_PAGE_GET_IAP webkit_gtk_page_GetIAP
#define WEBKIT_PAGE_GET_CACHE_SIZE webkit_gtk_page_GetCacheSize


#define WEBKIT_PAGE_SET_MINIMUM_FONT_SIZE webkit_gtk_page_SetMinimumFontSize
#define WEBKIT_PAGE_SET_MINIMUM_LOGICAL_FONT_SIZE webkit_gtk_page_SetMinimumLogicalFontSize
#define WEBKIT_PAGE_SET_DEFAULT_FONT_SIZE webkit_gtk_page_SetDefaultFontSize
#define WEBKIT_PAGE_SET_DEFAULT_FIXED_FONT_SIZE webkit_gtk_page_SetDefaultFixedFontSize
	
#define WEBKIT_PAGE_SET_DEFAULT_TEXT_ENCODING_NAME webkit_gtk_page_SetDefaultTextEncodingName
#define WEBKIT_PAGE_SET_FTP_DIRECTORY_TEMPLATE_PATH webkit_gtk_page_SetFtpDirectoryTemplatePath
#define WEBKIT_PAGE_SET_USER_STYLE_SHEET_LOCATION webkit_gtk_page_SetUserStyleSheetLocation
#define WEBKIT_PAGE_SET_STANDARD_FONT_FAMILY webkit_gtk_page_SetStandardFontFamily
#define WEBKIT_PAGE_SET_FIXED_FONT_FAMILY webkit_gtk_page_SetFixedFontFamily
#define WEBKIT_PAGE_SET_SERIF_FONT_FAMILY webkit_gtk_page_SetSerifFontFamily
#define WEBKIT_PAGE_SET_SANS_SERIF_FONT_FAMILY webkit_gtk_page_SetSansSerifFontFamily
#define WEBKIT_PAGE_SET_CURSIVE_FONT_FAMILY webkit_gtk_page_SetCursiveFontFamily
#define WEBKIT_PAGE_SET_FANTASY_FONT_FAMILY webkit_gtk_page_SetFantasyFontFamily
#define WEBKIT_PAGE_SET_EDITABLE_LINK_BEHAVIOR webkit_gtk_page_SetEditableLinkBehavior

#define WEBKIT_PAGE_GET_MINIMUM_FONT_SIZE webkit_gtk_page_GetMinimumFontSize
#define WEBKIT_PAGE_GET_MINIMUM_LOGICAL_FONT_SIZE webkit_gtk_page_GetMinimumLogicalFontSize
#define WEBKIT_PAGE_GET_DEFAULT_FONT_SIZE webkit_gtk_page_GetDefaultFontSize
#define WEBKIT_PAGE_GET_DEFAULT_FIXED_FONT_SIZE webkit_gtk_page_GetDefaultFixedFontSize
	
#define WEBKIT_PAGE_GET_DEFAULT_TEXT_ENCODING_NAME webkit_gtk_page_GetDefaultTextEncodingName
#define WEBKIT_PAGE_GET_FTP_DIRECTORY_TEMPLATE_PATH webkit_gtk_page_GetFtpDirectoryTemplatePath
#define WEBKIT_PAGE_GET_USER_STYLE_SHEET_LOCATION webkit_gtk_page_GetUserStyleSheetLocation
#define WEBKIT_PAGE_GET_STANDARD_FONT_FAMILY webkit_gtk_page_GetStandardFontFamily
#define WEBKIT_PAGE_GET_FIXED_FONT_FAMILY webkit_gtk_page_GetFixedFontFamily
#define WEBKIT_PAGE_GET_SERIF_FONT_FAMILY webkit_gtk_page_GetSerifFontFamily
#define WEBKIT_PAGE_GET_SANS_SERIF_FONT_FAMILY webkit_gtk_page_GetSansSerifFontFamily
#define WEBKIT_PAGE_GET_CURSIVE_FONT_FAMILY webkit_gtk_page_GetCursiveFontFamily
#define WEBKIT_PAGE_GET_FANTASY_FONT_FAMILY webkit_gtk_page_GetFantasyFontFamily
#define WEBKIT_PAGE_GET_EDITABLE_LINK_BEHAVIOR webkit_gtk_page_GetEditableLinkBehavior
#define WEBKIT_PAGE_GET_SELECTED_ELEMENT_TYPE webkit_gtk_page_GetSelectedElementType
#define WEBKIT_PAGE_GET_SELECTED_ELEMENT_INFO webkit_gtk_page_GetSelectedElementInfo

#define WEBKIT_PAGE_GET_ITEM_COUNT	webkit_gtk_page_GetItemCount
#define WEBKIT_ELEMENT_SAVE			webkit_gtk_element_save

#define WEBKIT_PAGE_GET_LAST_MODIFIED_TIME	webkit_gtk_page_GetLastModifiedTime

#endif


#endif //__PLATFORM_H__
