//  INCLUDES
#include "WebCorePageData.h"
#include <stdlib.h>

namespace WebCore
{

WebCorePageDataItem::WebCorePageDataItem( ePageDataItemType _itemType ) :
    m_itemType( _itemType )   { }

// Destructor
WebCorePageDataItem::~WebCorePageDataItem()
    { }

void WebCorePageDataItem::SetData( String _data )
    {
    m_data = _data;    
    }

void WebCorePageDataItem::SetUrl(String _url)
    {
    m_url = _url;
    }


void WebCorePageDataItem::SetContentType(String _contentType)
    {
    m_contentType = _contentType;
    }


void WebCorePageDataItem::SetCharset(String _charset)
    {
    m_charset = _charset;
    }
}

//end of file    
            

