
#if defined (SHP_SUPPORT_WML)
# ifndef WML_ACCESSELEMENT_H_
# define WML_ACCESSELEMENT_H_
#include "config.h"
#include "HTMLElement.h"
#include "HTMLNames.h"
#include "HTMLElementFactory.h"

namespace WebCore {

class DocumentFragment;
class HTMLCollection;
class HTMLFormElement;

//WML <access> tag attributes declarations
class WMLAccessElement : public HTMLElement 
{
   public:
   WMLAccessElement ( Document*);
  ~WMLAccessElement();

	String domain () const;
    void setDomain (const String&);

	String path () const;
    void setPath (const String&);

	String id () const;
    void setid (const String&);

	String Class ( ) const ; 
    void setClass (const String&);

	void parseMappedAttribute (MappedAttribute *attr);
	void attach();
	bool DomainAccessVerified();
};

} //namespace
# endif //WML_ACCESSELEMENT_H_
#endif //SHP_SUPPORT_WML
