#ifndef RenderPlugin_h
#define RenderPlugin_h

#ifdef SUPPORT_NP_PLUGIN

#include "RenderPartObject.h"
//#include "LoadListeners.h"

class PluginLoadListener;

namespace WebCore {

class RenderPlugin : public RenderPartObject {
public:
    RenderPlugin(HTMLFrameOwnerElement*);

    virtual const char* renderName() const { return "RenderPlugin"; }

    virtual void paint(PaintInfo&, int tx, int ty);

    void setPluginHandle(PluginLoadListener* handle) 
    { 
        m_pluginHandle = handle;
    }
private:
    PluginLoadListener*       m_pluginHandle;
};

} // namespace WebCore

#endif // SUPPORT_NP_PLUGIN

#endif // RenderPlugin_h

// End of File
