/* CoreGraphics - CoreGraphics.h
 * Copyright (c) 2000-2006 Apple Computer, Inc.
 * All rights reserved.
 */

#ifndef COREGRAPHICS_H_
#define COREGRAPHICS_H_
#define __COREGRAPHICS__

#ifndef __CG_HIDE_WIN32__
#  if defined(_MSC_VER)
#    ifndef __CG_NO_WINDOWSERVER__
#      define __CG_NO_WINDOWSERVER__ 1
#    endif
#    ifndef __CG_NO_OPENGL__
#      define __CG_NO_OPENGL__ 1
#    endif
#  endif
#endif

#include <CoreGraphics/CGBase.h>

#include <CoreGraphics/CGAffineTransform.h>
#include <CoreGraphics/CGBitmapContext.h>
#include <CoreGraphics/CGColor.h>
#include <CoreGraphics/CGColorSpace.h>
#include <CoreGraphics/CGContext.h>
#include <CoreGraphics/CGDataConsumer.h>
#include <CoreGraphics/CGDataProvider.h>
#ifndef __CG_NO_WINDOWSERVER__
#include <CoreGraphics/CGDirectDisplay.h>
#include <CoreGraphics/CGDirectPalette.h>
#include <CoreGraphics/CGDisplayConfiguration.h>
#include <CoreGraphics/CGDisplayFade.h>
#endif
#include <CoreGraphics/CGError.h>
#ifndef __CG_NO_WINDOWSERVER__
#include <CoreGraphics/CGEvent.h>
#include <CoreGraphics/CGEventSource.h>
#include <CoreGraphics/CGEventTypes.h>
#endif
#include <CoreGraphics/CGFont.h>
#include <CoreGraphics/CGFunction.h>
#include <CoreGraphics/CGGeometry.h>
#ifndef __CG_NO_OPENGL__
#include <CoreGraphics/CGGLContext.h>
#endif
#include <CoreGraphics/CGGradient.h>
#include <CoreGraphics/CGImage.h>
#include <CoreGraphics/CGLayer.h>
#include <CoreGraphics/CGPDFArray.h>
#include <CoreGraphics/CGPDFContentStream.h>
#include <CoreGraphics/CGPDFContext.h>
#include <CoreGraphics/CGPDFDictionary.h>
#include <CoreGraphics/CGPDFDocument.h>
#include <CoreGraphics/CGPDFObject.h>
#include <CoreGraphics/CGPDFOperatorTable.h>
#include <CoreGraphics/CGPDFPage.h>
#include <CoreGraphics/CGPDFScanner.h>
#include <CoreGraphics/CGPDFStream.h>
#include <CoreGraphics/CGPDFString.h>
#include <CoreGraphics/CGPSConverter.h>
#include <CoreGraphics/CGPath.h>
#include <CoreGraphics/CGPattern.h>
#ifndef __CG_NO_WINDOWSERVER__
#include <CoreGraphics/CGRemoteOperation.h>
#include <CoreGraphics/CGSession.h>
#endif
#include <CoreGraphics/CGShading.h>
#ifndef __CG_NO_WINDOWSERVER__
#include <CoreGraphics/CGWindowLevel.h>
#include <CoreGraphics/CGWindow.h>
#endif

#endif	/* COREGRAPHICS_H_ */
