#include "Shp.h"
#include "SysBase.h"
#include "TimeMgr.h"
#include "MemMgr.h"

#include <rt_heap.h>
#include <rt_misc.h>
#include <locale.h>


#define _SHP_MEM_STDARMLIB_HEAPSIZE 4096
#define _SHP_MEM_STDARMLIB_STACKSIZE 8192

__align(32)
unsigned char userHeapSpace[_SHP_MEM_STDARMLIB_HEAPSIZE];
__align(32)
unsigned char userStackSpace[_SHP_MEM_STDARMLIB_STACKSIZE];
__align(32)
unsigned char rtHeapSpace[_SHP_MEM_STDARMLIB_HEAPSIZE];
__align(32)
unsigned char rtStackSpace[_SHP_MEM_STDARMLIB_STACKSIZE];



#pragma import(__use_realtime_heap)
#pragma import(__use_no_semihosting_swi)

#if 0
int
main(int argc, char **argv)
{
//	extern void  INC_Initialize(void* first_available_memory);
	
	setlocale(LC_ALL, "C");

//	INC_Initialize((char*)OEM_OS_RESERVED_ADDR);
	
	return 0;
}
#endif

__value_in_regs struct __initial_stackheap __user_initial_stackheap(
	unsigned Reg0, unsigned StackP, unsigned Reg2, unsigned StackLimit)
{
	struct __initial_stackheap config;
	config.heap_base = (ULONG)userHeapSpace;
	config.stack_base = (ULONG)userStackSpace+_SHP_MEM_STDARMLIB_STACKSIZE;
	config.heap_limit = (ULONG)userHeapSpace+_SHP_MEM_STDARMLIB_HEAPSIZE;
	config.stack_limit = (ULONG)userStackSpace;
	return config;
}


__value_in_regs struct __initial_stackheap __rt_initial_stackheap(
	unsigned Reg0, unsigned StackP, unsigned Reg2, unsigned StackLimit)
{
	struct __initial_stackheap config;
	config.heap_base = (ULONG)rtHeapSpace;
	config.stack_base = (ULONG)rtStackSpace+_SHP_MEM_STDARMLIB_STACKSIZE;
	config.heap_limit = (ULONG)rtHeapSpace+_SHP_MEM_STDARMLIB_HEAPSIZE;
	config.stack_limit = (ULONG)rtStackSpace;
	return config;
}

struct __FILE
{
   unsigned long handle;
} __FILE;

FILE __stdin, __stdout, __stderr;

int rename ( const char *old_name, const char *new_name) { return 0; }
int remove ( const char *filename ) { return 0; }
void _ttywrch ( ) { return; }
int fputc( int c, FILE *stream ) { return 0; }
int _printf(const char * format, ...){	return 0; }
int _fprintf( FILE *stream, const char * format, ...) { return 0;}

int raise(int sig)
{
	SysAssert(0);
	while(1);
}

time_t time (time_t *currentCalendarTime)
{
	ULONG result;
	result = TmGetTime();
	if (currentCalendarTime)
		*currentCalendarTime = result;
	return result;
}


#ifdef __ARMCC_VERSION
#if (__ARMCC_VERSION >= 210000)
int __aeabi_atexit(
   void* object,
   void (*destroyer)(void*),
   void* dso_handle
)
{
   return 1;
}
#endif  /* __ARMCC_VERSION >= 200000 */
#endif  /* __ARMCC_VERSION */


char *_sys_command_string(char *cmd, int len)
{
	return NULL;
}

FILE*
fopen(
   const char *filename,
   const char *mode
)
{
	SysAssert(0);
	return NULL;
}

int
fclose(
   FILE *stream
)
{
	SysAssert(0);
	return 0;
}

size_t
fread(
   void  *data_ptr,
   size_t size,
   size_t nmemb,
   FILE  *stream
)
{
	SysAssert(0);
	return 0;
}

size_t
fwrite(
   const void *data_ptr,
   size_t      size,
   size_t      nmemb,
   FILE       *stream
)
{
	SysAssert(0);
	return 0;
}

int
fseek(
   FILE *stream,
   long  offset,
   int   whence
)
{
	SysAssert(0);
	return 0;
}

long
ftell(
   FILE *stream
)
{
	SysAssert(0);
    return -1;
}

int
fgetpos(
   FILE   *stream,
   fpos_t *pos_ptr
)
{
	SysAssert(0);
   return -1;
}

int
fsetpos(
   FILE         *stream,
   const fpos_t *pos_ptr
)
{
	SysAssert(0);
   return -1;
}

int
feof(
   FILE *stream
)
{
	SysAssert(0);
   return -1;
}

int
rmdir(
   const char *dirname
)
{
	SysAssert(0);
   return -1;
}

int
mkdir(
   const char *dirname
)
{
	SysAssert(0);
   return -1;
}

int
chdir(
   const char *dirname
)
{
	SysAssert(0);
   return -1;
}

void
list_files(
   const char *dirname,
   char      **dir_list_ptr
)
{
   return;
} /* END list_files */

void
rewind(
   FILE *stream
)
{
	SysAssert(0);
}

int
fflush(
   FILE *stream
)
{
	SysAssert(0);
   return -1;
}

void _sys_exit(int return_code)
{
	SysAssert(0);
	while(1);
}




